> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App WebApp Settings

> Retrieve the WebApp settings of this application, including site configuration, theme, and customization options.



## OpenAPI

````yaml /en/api-reference/openapi_completion.json get /site
openapi: 3.0.1
info:
  title: Completion App API
  description: >-
    The text generation application offers non-session support and is ideal for
    translation, article writing, summarization AI, and more.
  version: 1.0.0
servers:
  - url: '{api_base_url}'
    description: >-
      The base URL for the Completion App API. Replace {api_base_url} with the
      actual API base URL provided for your application.
    variables:
      api_base_url:
        default: https://api.dify.ai/v1
        description: Actual base URL of the API
security:
  - ApiKeyAuth: []
tags:
  - name: Completions
    description: Operations related to text generation and completion.
  - name: Files
    description: Operations related to file management.
  - name: End Users
    description: Operations related to end user information.
  - name: Feedback
    description: Operations related to user feedback.
  - name: TTS
    description: Operations related to Text-to-Speech and Speech-to-Text.
  - name: Applications
    description: Operations to retrieve application settings and information.
paths:
  /site:
    get:
      tags:
        - Applications
      summary: Get App WebApp Settings
      description: >-
        Retrieve the WebApp settings of this application, including site
        configuration, theme, and customization options.
      operationId: getWebAppSettings
      responses:
        '200':
          description: WebApp settings of the application.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebAppSettingsResponse'
              examples:
                webAppSettings:
                  summary: Response Example
                  value:
                    title: My Chat App
                    chat_color_theme: '#4A90D9'
                    chat_color_theme_inverted: false
                    icon_type: emoji
                    icon: 🤖
                    icon_background: '#FFFFFF'
                    icon_url: null
                    description: A helpful customer service chatbot.
                    copyright: 2025 Dify
                    privacy_policy: https://example.com/privacy
                    custom_disclaimer: ''
                    default_language: en-US
                    show_workflow_steps: false
                    use_icon_as_answer_icon: true
        '403':
          description: >-
            `forbidden` : Site not found for this application or the workspace
            has been archived.
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden
                  value:
                    status: 403
                    code: forbidden
                    message: Forbidden.
components:
  schemas:
    WebAppSettingsResponse:
      type: object
      properties:
        title:
          type: string
          description: WebApp title.
        chat_color_theme:
          type: string
          description: Chat color theme.
        chat_color_theme_inverted:
          type: boolean
          description: Whether the chat color theme is inverted.
        icon_type:
          type: string
          description: >-
            Type of icon used. `emoji` for emoji icons, `image` for uploaded
            image icons.
        icon:
          type: string
          description: Icon content (emoji or image ID).
        icon_background:
          type: string
          description: Icon background color.
        icon_url:
          type: string
          format: url
          nullable: true
          description: URL of the icon image.
        description:
          type: string
          description: WebApp description.
        copyright:
          type: string
          description: Copyright text.
        privacy_policy:
          type: string
          description: Privacy policy URL.
        custom_disclaimer:
          type: string
          description: Custom disclaimer text.
        default_language:
          type: string
          description: Default language code.
        show_workflow_steps:
          type: boolean
          description: Whether to show workflow steps.
        use_icon_as_answer_icon:
          type: boolean
          description: Whether to use the app icon as the answer icon.
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key authentication. For all API requests, include your API Key in
        the `Authorization` HTTP Header, prefixed with `Bearer `. Example:
        `Authorization: Bearer {API_KEY}`. **Strongly recommend storing your API
        Key on the server-side, not shared or stored on the client-side, to
        avoid possible API-Key leakage that can lead to serious consequences.**

````